Skip to content
OperadeDocs

Search documentation

Type to search documentation.

Documentation
Copy page
Open raw Markdown

Register an account

Create a user and an owner workspace when the email is not already registered.

Endpoint

POST/api/v1/auth/register

Authentication

Operation classAuthenticationMinimum roleAPI key
dashboard-session-apiNo authentication.noneNot allowed

Parameters

This operation has no path, query, or header parameters.

Request body

application/json request schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectPermintaanDaftar—NoYes——
emailstring—emailNoYes——
namestring——NoYes——
passwordstring——NoYes——
workspace_namestring——NoYes——

Example

cURL
curl --request POST 'https://operade.ai/api/v1/auth/register' \
  --header 'Content-Type: application/json' \
  --data '{"email":"alex@example.com","password":"EXAMPLE_PASSWORD_16","name":"Alex Example","workspace_name":"Example Workspace"}'
Request body JSON
{
  "email": "alex@example.com",
  "name": "Alex Example",
  "password": "EXAMPLE_PASSWORD_16",
  "workspace_name": "Example Workspace"
}

Responses

StatusDescriptionContent
4XXHandled client errorapplication/json: ErrorResponse
202Successful Responseapplication/json: RegisterResponse

4XX application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectErrorResponse—NoYes——
errorobjectErrorItem—NoYes——
error.codestring——NoYes——
error.detailsobject——NoNo——
error.messagestring——NoYes——

202 application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectRegisterResponse—NoYes——
statusstring——NoYes"diterima"—

Response example

Response body JSON
{
  "status": "diterima"
}

Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.

StatusCodeDescription
422validation_failedThe request did not pass field or business validation.
429rate_limitedToo many attempts were made within the active limit window.
On this page
  1. Endpoint
  2. Authentication
  3. Parameters
  4. Request body
  5. application/json request schema
  6. Example
  7. Responses
  8. 4XX application/json response schema
  9. 202 application/json response schema
  10. Response example
  11. Errors
  12. Related operations